## org.biojavax.bio.phylo.tree
Interface Branch

All Known Implementing Classes:
  DefaultBranch, WeightedBranch

    public interface Branch

Version:
  $Id: Branch.java,v 1.1 2006/12/13 17:24:30 tobias Exp $

  created on 12.12.2006 13:27:47
Author:
  Tobias Thierer

Method Summary
`Node` `getNodeA()`
`Node` `getNodeB()`
`java.util.Collection` `getNodes()` If this branch is part of a rooted tree, then it is guaranteed that the iterator of this collection will return the parent node first.
`Node` `getOtherNode(Node node)`

Method Detail

### getNodeA

    Node getNodeA()

  Returns:
    The node of this branch that was part of the tree first.

### getNodeB

    Node getNodeB()

  Returns:
    The node at the other end of this branch (not the one returned by `getNodeA()`)

### getOtherNode

    Node getOtherNode(Node node)
                      throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getNodes

    java.util.Collection getNodes()

  If this branch is part of a rooted tree, then it is guaranteed that the iterator of this collection will return the parent node first.

  Returns:
    A collection with two nodes, namely the ones returned by `getNodeA()` and `getNodeB()`.